<?php
/**
* 404 Page Settings.
*
* @package Multi Sports Club
*/

$multi_sports_club_default = multi_sports_club_get_default_theme_options();

$wp_customize->add_section( 'multi_sports_club_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'multi-sports-club' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'multi_sports_club_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'multi_sports_club_404_main_title',
    array(
        'default'           => $multi_sports_club_default['multi_sports_club_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'multi_sports_club_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'multi-sports-club' ),
        'section'  => 'multi_sports_club_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'multi_sports_club_404_subtitle_one',
    array(
        'default'           => $multi_sports_club_default['multi_sports_club_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'multi_sports_club_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'multi-sports-club' ),
        'section'  => 'multi_sports_club_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'multi_sports_club_404_para_one',
    array(
        'default'           => $multi_sports_club_default['multi_sports_club_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'multi_sports_club_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'multi-sports-club' ),
        'section'  => 'multi_sports_club_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'multi_sports_club_404_subtitle_two',
    array(
        'default'           => $multi_sports_club_default['multi_sports_club_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'multi_sports_club_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'multi-sports-club' ),
        'section'  => 'multi_sports_club_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'multi_sports_club_404_para_two',
    array(
        'default'           => $multi_sports_club_default['multi_sports_club_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'multi_sports_club_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'multi-sports-club' ),
        'section'  => 'multi_sports_club_404_page_settings',
        'type'     => 'text',
    )
);